import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const manageFarmGetFarmsService = createAsyncThunk(
  "MANAGE_FARM_GET_FARMS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("vet/");
    dispatch(LOADING_END());

    return { data, status };
  }
);
